# $Revision: 1.10 $, $Date: 2008/12/13 19:09:35 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Set
%define		pnam	Crontab
Summary:	Set::Crontab - expand crontab(5)-style integer lists
Summary(pl.UTF-8):	Set::Crontab - rozszerzanie list liczb w notacji crontab(5)
Name:		perl-Set-Crontab
Version:	1.02
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Set/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8217113ca6ad3633a326b1dbb136f99b
URL:		http://search.cpan.org/dist/Set-Crontab/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Set::Crontab parses crontab-style lists of integers and defines some
utility functions to make it easier to deal with them.

%description -l pl.UTF-8
Set::Crontab przetwarza listy liczb całkowitych w notacji crontaba i
definiuje kilka użytecznych funkcji ułatwiających obsługę ich.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Set/Crontab.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Set-Crontab.spec,v $
Revision 1.10  2008/12/13 19:09:35  qboosh
- generic URL

Revision 1.9  2008/12/13 15:38:36  agaran
- up to 1.02, rel 1.

Revision 1.8  2008/07/27 22:47:12  arekm
- release 2

Revision 1.7  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.5  2004/11/03 22:30:43  paladine
- formatting

Revision 1.4  2004/05/02 08:31:33  ankry
- license fixed, cosmetics

Revision 1.3  2004/04/13 06:58:27  ankry
- cosmetics

Revision 1.2  2004/04/12 12:29:26  qboosh
- pl

Revision 1.1  2004/04/12 06:11:06  agaran
new spec, nfy
